PPPoETagStruct Struct Reference
Implementation internals » Device handling » PPPoE devices (DSL)

## Data Fields

unsigned int | type:16
unsigned int | length:16
unsigned char | payload [ETH_DATA_LEN]

## Field Documentation

## length

unsigned int PPPoETagStruct::length

Referenced by send_padi().

## payload

unsigned char PPPoETagStruct::payload[ETH_DATA_LEN]

Referenced by send_padi().

## type

unsigned int PPPoETagStruct::type

Referenced by send_padi().

The documentation for this struct was generated from the following file:

- pppoe.c